Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_general_mesh.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_general_mesh.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_general_mesh.py	(revision 5892)
@@ -7,5 +7,5 @@
 
 from anuga.config import epsilon
-from Numeric import allclose, array, ones, Float
+import numpy
 from general_mesh import General_mesh
 from anuga.coordinate_transforms.geo_reference import Geo_reference
@@ -23,5 +23,4 @@
     def test_get_vertex_coordinates(self):
         from mesh_factory import rectangular
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -30,5 +29,5 @@
 
 
-        assert allclose(domain.get_nodes(), nodes)
+        assert numpy.allclose(domain.get_nodes(), nodes)
 
 
@@ -41,5 +40,5 @@
             for j in range(3):
                 k = triangles[i,j]  #Index of vertex j in triangle i
-                assert allclose(V[3*i+j,:], nodes[k])
+                assert numpy.allclose(V[3*i+j,:], nodes[k])
 
     def test_get_vertex_coordinates_with_geo_ref(self):
@@ -55,27 +54,27 @@
         f = [4.0, 0.0]
 
-        nodes = array([a, b, c, d, e, f])
+        nodes = numpy.array([a, b, c, d, e, f])
 
         nodes_absolute = geo.get_absolute(nodes)
         
         #bac, bce, ecf, dbe, daf, dae
-        triangles = array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
         domain = General_mesh(nodes, triangles,
                        geo_reference = geo)
         verts = domain.get_vertex_coordinates(triangle_id=0)        
-        self.assert_(allclose(array([b,a,c]), verts)) 
+        self.assert_(numpy.allclose(numpy.array([b,a,c]), verts)) 
         verts = domain.get_vertex_coordinates(triangle_id=0)       
-        self.assert_(allclose(array([b,a,c]), verts))
+        self.assert_(numpy.allclose(numpy.array([b,a,c]), verts))
         verts = domain.get_vertex_coordinates(triangle_id=0,
                                               absolute=True)       
-        self.assert_(allclose(array([nodes_absolute[1],
-                                     nodes_absolute[0],
-                                     nodes_absolute[2]]), verts))
+        self.assert_(numpy.allclose(numpy.array([nodes_absolute[1],
+                                                 nodes_absolute[0],
+                                                 nodes_absolute[2]]), verts))
         verts = domain.get_vertex_coordinates(triangle_id=0,
                                               absolute=True)       
-        self.assert_(allclose(array([nodes_absolute[1],
-                                     nodes_absolute[0],
-                                     nodes_absolute[2]]), verts))
+        self.assert_(numpy.allclose(numpy.array([nodes_absolute[1],
+                                                 nodes_absolute[0],
+                                                 nodes_absolute[2]]), verts))
         
         
@@ -86,5 +85,4 @@
         """
         from mesh_factory import rectangular
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -93,5 +91,5 @@
 
 
-        assert allclose(domain.get_nodes(), nodes)
+        assert numpy.allclose(domain.get_nodes(), nodes)
 
 
@@ -104,5 +102,5 @@
             for j in range(3):
                 k = triangles[i,j]  #Index of vertex j in triangle i
-                assert allclose(V[j,:], nodes[k])
+                assert numpy.allclose(V[j,:], nodes[k])
 
 
@@ -114,5 +112,4 @@
         """
         from mesh_factory import rectangular
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -121,7 +118,7 @@
 
         value = [7]
-        assert allclose(domain.get_triangles(), triangles)
-        assert allclose(domain.get_triangles([0,4]),
-                        [triangles[0], triangles[4]])
+        assert numpy.allclose(domain.get_triangles(), triangles)
+        assert numpy.allclose(domain.get_triangles([0,4]),
+                              [triangles[0], triangles[4]])
         
 
@@ -130,16 +127,15 @@
         """
         from mesh_factory import rectangular
-        from Numeric import zeros, Float, array
-
-        a = [0.0, 0.0]
-        b = [0.0, 2.0]
-        c = [2.0, 0.0]
-        d = [0.0, 4.0]
-        e = [2.0, 2.0]
-        f = [4.0, 0.0]
-
-        nodes = array([a, b, c, d, e, f])
+
+        a = [0.0, 0.0]
+        b = [0.0, 2.0]
+        c = [2.0, 0.0]
+        d = [0.0, 4.0]
+        e = [2.0, 2.0]
+        f = [4.0, 0.0]
+
+        nodes = numpy.array([a, b, c, d, e, f])
         #bac, bce, ecf, dbe, daf, dae
-        triangles = array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
         domain1 = General_mesh(nodes, triangles)
@@ -162,5 +158,5 @@
             #print count
             #
-            assert allclose(count, domain.number_of_triangles_per_node)
+            assert numpy.allclose(count, domain.number_of_triangles_per_node)
             
             # Check indices
@@ -196,7 +192,7 @@
         f = [4.0, 0.0]
 
-        nodes = array([a, b, c, d, e, f])
+        nodes = numpy.array([a, b, c, d, e, f])
         #bac, bce, ecf, dbe, daf, dae
-        triangles = array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
         domain = General_mesh(nodes, triangles)
@@ -204,7 +200,8 @@
         # One node
         L = domain.get_triangles_and_vertices_per_node(node=2)
-        assert allclose(L[0], [0, 2])
-        assert allclose(L[1], [1, 1])
-        assert allclose(L[2], [2, 1])
+        print 'L=%s' % str(L)
+        assert numpy.allclose(L[0], [0, 2])
+        assert numpy.allclose(L[1], [1, 1])
+        assert numpy.allclose(L[2], [2, 1])
 
         # All nodes
@@ -213,5 +210,5 @@
         for i, Lref in enumerate(ALL):
             L = domain.get_triangles_and_vertices_per_node(node=i)
-            assert allclose(L, Lref)
+            assert numpy.allclose(L, Lref)
             
 
@@ -224,5 +221,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -239,5 +235,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -273,21 +268,21 @@
         f = [4.0, 0.0]
 
-        nodes = array([a, b, c, d, e, f])
+        nodes = numpy.array([a, b, c, d, e, f])
 
         nodes_absolute = geo.get_absolute(nodes)
         
         #bac, bce, ecf, dbe, daf, dae
-        triangles = array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,0,2], [1,2,4], [4,2,5], [3,1,4]])
 
         domain = General_mesh(nodes, triangles,
                        geo_reference = geo)
         node = domain.get_node(2)        
-        self.assertEqual(c, node)
+        self.assertTrue(numpy.alltrue(c == node))
         
         node = domain.get_node(2, absolute=True)     
-        self.assertEqual(nodes_absolute[2], node)
+        self.assertTrue(numpy.alltrue(nodes_absolute[2] == node))
         
         node = domain.get_node(2, absolute=True)     
-        self.assertEqual(nodes_absolute[2], node)
+        self.assertTrue(numpy.alltrue(nodes_absolute[2] == node))
         
 
@@ -310,19 +305,19 @@
         f = [4.0, 0.0]
 
-        nodes = array([a, b, c, d, e, f])
+        nodes = numpy.array([a, b, c, d, e, f])
 
         nodes_absolute = geo.get_absolute(nodes)
         
         # max index is 5, use 5, expect success
-        triangles = array([[1,5,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,5,2], [1,2,4], [4,2,5], [3,1,4]])
         General_mesh(nodes, triangles, geo_reference=geo)
         
         # max index is 5, use 6, expect assert failure
-        triangles = array([[1,6,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,6,2], [1,2,4], [4,2,5], [3,1,4]])
         self.failUnlessRaises(AssertionError, General_mesh,
                               nodes, triangles, geo_reference=geo)
         
         # max index is 5, use 10, expect assert failure
-        triangles = array([[1,10,2], [1,2,4], [4,2,5], [3,1,4]])
+        triangles = numpy.array([[1,10,2], [1,2,4], [4,2,5], [3,1,4]])
         self.failUnlessRaises(AssertionError, General_mesh,
                               nodes, triangles, geo_reference=geo)
@@ -333,5 +328,4 @@
 if __name__ == "__main__":
     suite = unittest.makeSuite(Test_General_Mesh,'test') 
-    #suite = unittest.makeSuite(Test_General_Mesh,'test_get_node')    
     runner = unittest.TextTestRunner()
     runner.run(suite)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_generic_boundary_conditions.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_generic_boundary_conditions.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_generic_boundary_conditions.py	(revision 5892)
@@ -6,5 +6,5 @@
 from generic_boundary_conditions import *
 from anuga.config import epsilon
-from Numeric import allclose, array
+import numpy
 
 
@@ -44,5 +44,5 @@
 
         q = Bd.evaluate()
-        assert allclose(q, x)
+        assert numpy.allclose(q, x)
 
 
@@ -98,5 +98,5 @@
         q = T.evaluate(0, 2)  #Vol=0, edge=2
 
-        assert allclose(q, [1.5, 2.5])
+        assert numpy.allclose(q, [1.5, 2.5])
 
 
@@ -175,14 +175,14 @@
 
         #Check that midpoint coordinates at boundary are correctly computed
-        assert allclose( F.midpoint_coordinates,
-                         [[1.0, 0.0], [0.0, 1.0], [3.0, 0.0],
-                          [3.0, 1.0], [1.0, 3.0], [0.0, 3.0]])
-
-        #assert allclose(F.midpoint_coordinates[(3,2)], [0.0, 3.0])
-        #assert allclose(F.midpoint_coordinates[(3,1)], [1.0, 3.0])
-        #assert allclose(F.midpoint_coordinates[(0,2)], [0.0, 1.0])
-        #assert allclose(F.midpoint_coordinates[(0,0)], [1.0, 0.0])
-        #assert allclose(F.midpoint_coordinates[(2,0)], [3.0, 0.0])
-        #assert allclose(F.midpoint_coordinates[(2,1)], [3.0, 1.0])
+        assert numpy.allclose( F.midpoint_coordinates,
+                               [[1.0, 0.0], [0.0, 1.0], [3.0, 0.0],
+                                [3.0, 1.0], [1.0, 3.0], [0.0, 3.0]])
+
+        #assert numpy.allclose(F.midpoint_coordinates[(3,2)], [0.0, 3.0])
+        #assert numpy.allclose(F.midpoint_coordinates[(3,1)], [1.0, 3.0])
+        #assert numpy.allclose(F.midpoint_coordinates[(0,2)], [0.0, 1.0])
+        #assert numpy.allclose(F.midpoint_coordinates[(0,0)], [1.0, 0.0])
+        #assert numpy.allclose(F.midpoint_coordinates[(2,0)], [3.0, 0.0])
+        #assert numpy.allclose(F.midpoint_coordinates[(2,1)], [3.0, 1.0])
 
 
@@ -193,10 +193,10 @@
         domain.time = 5*30/2  #A quarter way through first step
         q = F.evaluate()
-        assert allclose(q, [1.0/4, sin(2*pi/10)/4])
+        assert numpy.allclose(q, [1.0/4, sin(2*pi/10)/4])
 
 
         domain.time = 2.5*5*60  #Half way between steps 2 and 3
         q = F.evaluate()
-        assert allclose(q, [2.5, (sin(2*2*pi/10) + sin(3*2*pi/10))/2])
+        assert numpy.allclose(q, [2.5, (sin(2*2*pi/10) + sin(3*2*pi/10))/2])
 
 
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_ghost.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_ghost.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_ghost.py	(revision 5892)
@@ -6,7 +6,5 @@
 from domain import *
 from anuga.config import epsilon
-from Numeric import allclose, array, ones, Float
-
-
+import numpy
 
 
@@ -43,5 +41,5 @@
 
 
-        assert domain.get_conserved_quantities(0, edge=1) == 0.
+        assert numpy.alltrue(domain.get_conserved_quantities(0, edge=1) == 0.)
 
 
